Package org.apache.tapestry5.services.pageload

## Enum PreloaderMode

- java.lang.Object
- - java.lang.Enum<PreloaderMode>
  - - org.apache.tapestry5.services.pageload.PreloaderMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PreloaderMode>`

      public enum PreloaderMode
      extends java.lang.Enum<PreloaderMode>

  Identifies when the `PagePreloader` should perform its loading.
  Since:
    5.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` |
    `DEVELOPMENT` |
    `NEVER` |
    `PRODUCTION` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEnabledFor​(boolean productionMode)` |
    `static PreloaderMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PreloaderMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final PreloaderMode NEVER

    - #### ALWAYS

          public static final PreloaderMode ALWAYS

    - #### DEVELOPMENT

          public static final PreloaderMode DEVELOPMENT

    - #### PRODUCTION

          public static final PreloaderMode PRODUCTION

  - ### Method Detail

    - #### values

          public static PreloaderMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PreloaderMode c : PreloaderMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PreloaderMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isEnabledFor

          public boolean isEnabledFor​(boolean productionMode)